Bug 214624 - autogen.sh is not automatically run if present
Summary: autogen.sh is not automatically run if present
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-08 17:53 UTC by Ben Konrath
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 23:16:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Konrath 2006-11-08 17:53:32 UTC
Description of problem:

An autogen.sh script is not automatically run if present in root directory.

Version-Release number of selected component (if applicable):

eclipse-cdt-3.1.1-1.fc6

Steps to Reproduce:
1. Check a project from gnome CVS (insructions here: 
http://developer.gnome.org/tools/cvs.html)
2. autogen.sh is not run

Comment 1 Jeff Johnston 2007-01-19 23:16:42 UTC
A fix has been made in the source repository to 
  1) Find autogen.sh or the first file called .*autogen.sh in the configure src
     directory and invoke it
  2) Add an error marker to project with error message if autogen fails
  3) Stop the build from continuing if autogen fails


Note You need to log in before you can comment on or make changes to this bug.